
/***********************************************************************
 *
 * kftgt.h -   defs for kftgt and kftgtd
 *
 * $Id: kftgt.h,v 1.3 1997/10/26 03:49:25 opusl Exp $
 *
 * $Log: kftgt.h,v $
 * Revision 1.3  1997/10/26 03:49:25  opusl
 * increment version to 1.1
 *
 * Revision 1.2  1994/06/08 18:18:02  schemers
 * Added in defs for KRB_INT32 and KRB_UINT32 for systems without Cygnus's
 * Kerberos (CNS).
 *
 * Revision 1.1  1994/06/08  17:29:06  schemers
 * Initial revision
 *
 *
 *----------------------------------------------------------------------
 * Copyright (c) 1994 Board of Trustees, Leland Stanford Jr. University
 ***********************************************************************/

#ifndef KFTGT_H

/* these are normally defined in des.h when using the Cygnus stuff */
#ifndef KRB_INT32
#ifndef __alpha 
#define KRB_INT32 long
#else
#define KRB_INT32 int
#endif
#endif
#ifndef KRB_UINT32
#define KRB_UINT32 unsigned KRB_INT32
#endif

#define KFTGT_MAX_BUFFER 4096
#define KFTGT_MAX_USERNAME 32
#define KFTGT_MAX_PATHNAME 1024

#define KFTGT_MAJOR_VERSION 1
#define KFTGT_MINOR_VERSION 1

#define KFTGT_PROTO_VERSION "1"  /* should be same as major version */

#ifndef SERVICE_PRINCIPAL
#define SERVICE_PRINCIPAL "rcmd"
#endif

#ifndef SERVICE_NAME
#define SERVICE_NAME "kftgt"
#endif

#ifndef SERVICE_PORT
#define SERVICE_PORT 2109
#endif

#ifndef SRVTAB
#define SRVTAB ""
#endif

#endif
